/* code for "mycobject~" pd objectclass.  */

#include "m_pd.h"

/* the data structure for each copy of "mycobject_tilde".  In this case we only
 * need pd's obligatory header (of type t_object). */
typedef struct mycobject_tilde
{
  t_object x_ob;
} t_mycobject_tilde;

/* this is a pointer to the class for "mycobject_tilde", which is created in the
 * "setup" routine below and used to create new ones in the "new" routine. */
t_class *mycobject_tilde_class;

/* this is called when a new "mycobject_tilde" object is created. */
void *mycobject_tilde_new(void)
{
    t_mycobject_tilde *x = (t_mycobject_tilde *)pd_new(mycobject_tilde_class);
    return (void *)x;
}

/* this is called once at setup time, when this code is loaded into Pd. */
void mycobject_tilde_setup(void)
{
    mycobject_tilde_class = class_new(
	gensym("mycobject~"),              /* object name */
	(t_newmethod)mycobject_tilde_new,  /* constructor */
	0,                                 /* destructor  */
    	sizeof(t_mycobject_tilde),         /* size of class */
	0,                                 /* flags (default: 0) */
	0                                  /* 0-terminated list of construction arguments */
        );
}

